Summary:	Digital thermometer using DS1820 1-wire sensors
Name:		digitemp
Version:	3.5.0
Release:	%mkrel 4
License:	GPL
Group:		Monitoring
URL:		http://www.digitemp.com/
Source0:	http://www.digitemp.com/software/linux/%{name}-%{version}.tar.bz2
Source1:	http://www.brianlane.com/linux/dthowto.txt
Source2:	DS9097_Schematic.gif
Patch0:		%{name}-opt.patch
BuildRequires:	libusb-devel
#BuildRequires:	lockdev-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
DigiTemp is a simple to use interface to the Dallas Semiconductor DS18S20,
DS1822, and DS18B20 1-wire digital temperature sensors. You can use DigiTemp
in a wide variety of applications, such as heating control, process monitoring,
weather station, indor/outdoor temperature logging, etc. It includes a couple
of useful Perl, Python and RRD Tool scripts for crating graphs and dynamic
signatures.

%prep

%setup -q
%patch0 -p1

cp %{SOURCE1} %{SOURCE2} .

%build
export OPT="%{optflags}"

%make ds9097
%make ds9097u
%make ds2490

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install digitemp_DS* %{buildroot}%{_bindir}/
install %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS DS9097_S* FAQ README TODO dthowto.txt perl python rrdb
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/*




%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.5.0-4mdv2009.0
+ Revision: 244336
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.5.0-2mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 3.5.0-2mdv2008.0
+ Revision: 79232
- rebuild


* Tue Jan 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3.5.0-1mdv2007.0
+ Revision: 103115
- 3.5.0

* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.4.0-1mdv2007.1
+ Revision: 101640
- Import digitemp

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 3.4.0-1mdk
- initial Mandriva package (PLD import)

